# Created by pyp2rpm-1.0.1
%global pypi_name pyqtgraph

Name:           python-%{pypi_name}
Version:        0.13.4
Release:        %mkrel 1
Group:          Development/Python
Summary:        Scientific Graphics and GUI Library for Python
License:        MIT
URL:            https://www.pyqtgraph.org/
Source0:        %{pypi_source}
Patch0:         no-sphinx-qt-doc.patch
BuildArch:      noarch

%description
PyQtGraph is a pure-python graphics and GUI library built on PyQt5/PySide
and numpy.

It is intended for use in mathematics / scientific / engineering
applications. Despite being written entirely in python, the library
is very fast due to its heavy leverage of numpy for number crunching,
Qt's GraphicsView framework for 2D display, and OpenGL for 3D display.

%package -n python3-%{pypi_name}
Summary:        Scientific Graphics and GUI Library for Python 3
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
# for docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-autodoc-typehints)
BuildRequires:  python3dist(sphinx-design)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinxext-rediraffe)
BuildRequires:  python3-qt5-core
BuildRequires:  python3-qt5-gui
BuildRequires:  python3-qt5-opengl
BuildRequires:  python3-qt5-widgets
BuildRequires:	python3-numpy
BuildRequires:  python3-matplotlib
BuildRequires:  python3-matplotlib-qt5
BuildRequires:  python3dist(pyopengl)

Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-opengl
Requires:       python3-qt5-svg
Requires:       python3-qt5-test
Requires:       python3-qt5-widgets
Recommends:     python3dist(h5py)
Recommends:     python3dist(pyopengl)

%description -n python3-%{pypi_name}
PyQtGraph is a pure-python graphics and GUI library built on PyQt5/PySide
and numpy.

It is intended for use in mathematics / scientific / engineering
applications. Despite being written entirely in python, the library
is very fast due to its heavy leverage of numpy for number crunching,
Qt's GraphicsView framework for 2D display, and OpenGL for 3D display.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

# generate html docs
make -C doc html

%install
%pyproject_install
%pyproject_save_files pyqtgraph

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md pyqtgraph/metaarray/readMeta.m pyqtgraph/util/colorama/README.txt
%doc pyqtgraph/metaarray/license.txt pyqtgraph/util/colorama/LICENSE.txt
#doc doc/build/html
%license LICENSE.txt



%changelog
* Fri Mar 22 2024 daviddavid <daviddavid> 0.13.4-1.mga10
+ Revision: 2051392
- new version: 0.13.4

* Wed Dec 27 2023 joequant <joequant> 0.13.3-2.mga10
+ Revision: 2022336
- update deps
- fix build requires
- update to py3.12
+ daviddavid <daviddavid>
- new version: 0.13.3

* Sun Jan 01 2023 daviddavid <daviddavid> 0.13.1-1.mga9
+ Revision: 1928547
- new version: 0.13.1

* Wed Sep 07 2022 neoclust <neoclust> 0.12.4-1.mga9
+ Revision: 1885138
- New version  0.12.4

* Wed Apr 06 2022 umeabot <umeabot> 0.12.3-2.mga9
+ Revision: 1846129
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.12.3-1.mga9
+ Revision: 1775628
- version 0.12.3
- rebuild for python-3.10

* Tue Aug 31 2021 wally <wally> 0.12.2-1.mga9
+ Revision: 1743796
- new version 0.12.2

* Sun Apr 18 2021 daviddavid <daviddavid> 0.12.1-1.mga9
+ Revision: 1716426
- new version: 0.12.1

* Sun Mar 28 2021 daviddavid <daviddavid> 0.12.0-1.mga9
+ Revision: 1711498
- new version: 0.12.0

* Mon Mar 22 2021 daviddavid <daviddavid> 0.11.1-2.mga9
+ Revision: 1707354
- rebuild for python 3.9

* Tue Dec 22 2020 daviddavid <daviddavid> 0.11.1-1.mga8
+ Revision: 1662870
- new version: 0.11.1

* Sat Dec 19 2020 daviddavid <daviddavid> 0.11.0-1.mga8
+ Revision: 1661183
- new version: 0.11.0

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-7.mga8
+ Revision: 1533718
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 0.10.0-6.mga8
+ Revision: 1445341
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 25 2019 wally <wally> 0.10.0-5.mga8
+ Revision: 1432103
- update descriptions
- update html doc build

* Tue May 07 2019 daviddavid <daviddavid> 0.10.0-4.mga7
+ Revision: 1396629
- switch to PyQt5

* Wed Jan 09 2019 shlomif <shlomif> 0.10.0-3.mga7
+ Revision: 1353973
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-2.mga7
+ Revision: 1289794
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 daviddavid <daviddavid> 0.10.0-1.mga7
+ Revision: 1221376
- new version: 0.10.0
- rename python-pyqtgraph to python2-pyqtgraph
- use new python provides

* Sat Aug 05 2017 pterjan <pterjan> 0.9.10-4.mga7
+ Revision: 1135581
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.9.10-3.mga6
+ Revision: 971135
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.9.10-2.mga6
+ Revision: 889331
- BR python(3)-sphinx_rtd_theme
- rebuild for python 3.5
- use new python macros

* Mon Jul 06 2015 dglent <dglent> 0.9.10-1.mga6
+ Revision: 851775
- imported package python-pyqtgraph

